SeaMonkey 2.49.2 er ude

Udvikleren af ​​Internet-applikationssuite SeaMonkey har frigivet version 2.49.2 af applikationen til alle understøttede operativsystemer. De bemærker, at frigivelsen ikke vil blive tilbudt via den integrerede opdateringsfunktion for de fleste konfigurationer på grund af ændringer, den introducerer.

Brugere, der ønsker at opgradere til den nye version, er muligvis nødt til at downloade den fra projektwebstedet for at installere den manuelt på grund af det.

Det anbefales stærkt, at du sikkerhedskopierer profilmappen, før du kører opdateringen, da nogle filer muligvis ikke er kompatible mere med ældre versioner efter opgraderingen. Med andre ord: du går måske ikke tilbage til en tidligere version uden at miste adgang til nogle data.

SeaMonkey 2.49.2

seamonkey 2.49.2

Mozilla ændrede det interne format i databasen med browsningshistorik. Selvom det er et ikke-problem, hvis du opdaterer fra en version af SeaMonkey, der bruger det gamle format til en version, der bruger den nye, bliver det et problem, hvis du vil nedjustere igen, da dette ikke er muligt.

SeaMonkey omdøber din historikfil til steder.sqlite.corrupt og opretter en ny steder.sqlite-fil, der effektivt nulstiller din browseshistorik.

SeaMonkey-brugere, der bruger den indbyggede e-mail-klient, kan også løbe ind i problemer. Resuméfiler læses muligvis ikke korrekt, hvis du nedgraderer SeaMonkey efter at have opgraderet den til den nyeste version. SeaMonkey-brugere skal slette .msffiles i de lokale mapper og for Pop3-konti for at undgå datatab og løse problemet.

Udgivelsesnotaterne indeholder yderligere oplysninger om kendte problemer og uforeneligheder. Holdet bemærker, at nogle udvidelser muligvis ikke fungerer korrekt mere i SeaMonkey 2.49.2. Browseren er i øjeblikket baseret på Firefox 52.6 ESR.

SeaMonkey understøtter i øjeblikket ikke WebExtensions på grund af dette. Dette vil ændre sig, men sandsynligvis ikke længere i 2018.

Mozilla-backendkoden SeaMonkey er baseret på, indeholder nu normalt brudende ændringer i hver udgivelse. Dette gælder især for Mozilla Gecko-tilføjelseskoden og JavaScript-tolken. Følgelig fungerer nogle ældre udvidelser muligvis ikke længere korrekt.

Jeg foreslår, at du læser fuld udgivelsesnotater på det officielle websted for en fuld gennemgang af ændringer og hvordan disse kan påvirke dig.

Din tur : Har du eller har du brugt SeaMonkey?

Relaterede artikler